Issue 10032

Title
Allow group to inherit access from other group
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2021-01-26.19:35:38 by ced, last changed 2 months ago by roundup-bot.

Messages

New changeset acceb84da9b5 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/tryton-env/rev/acceb84da9b5
New changeset 670b2dd25ca9 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/trytond/rev/670b2dd25ca9
New changeset 4e6eb11ec091 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/stock/rev/4e6eb11ec091
New changeset 6ee041520377 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/sale/rev/6ee041520377
New changeset 53a57681d32c by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/purchase/rev/53a57681d32c
New changeset 8dfe0ce7c58a by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/production/rev/8dfe0ce7c58a
New changeset d30040b69bc1 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/commission/rev/d30040b69bc1
New changeset 94b39de83639 by Cédric Krier in branch 'default':
Add parent to group to inherit accesses
https://hg.tryton.org/modules/account/rev/94b39de83639
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-26.19:35:38

It is common that we need to create a group that has the same access rights than an existing one but with some extra. For example all the "admin" groups from modules like group_sale_admin which should have the same access than group_sale.
For now usually we just add the extra access to the group and expect the user to set also the base group so both accesses are applied. This is not great because the end user may not know this "rule" and may be astonished that a sale admin can no see the "Sales" menu (because he is not in the sale group).

I propose to add a parent field on Group which makes this group inherit the access from the parent (and all recursive parents).

History
Date User Action Args
2021-03-07 12:44:26roundup-botsetmessages: + msg65261
2021-03-07 12:44:14roundup-botsetmessages: + msg65260
2021-03-07 12:44:09roundup-botsetmessages: + msg65259
2021-03-07 12:44:00roundup-botsetmessages: + msg65258
2021-03-07 12:43:50roundup-botsetmessages: + msg65257
2021-03-07 12:43:45roundup-botsetmessages: + msg65256
2021-03-07 12:43:36roundup-botsetmessages: + msg65255
2021-03-07 12:43:29roundup-botsetmessages: + msg65254
nosy: + roundup-bot
status: testing -> resolved
2021-02-21 20:14:18reviewbotsetmessages: + msg64763
2021-02-10 00:09:25reviewbotsetmessages: + msg64432

Showing 10 items. Show all history (warning: this could be VERY long)